---
title: 'Update an existing question'
description: 'This endpoint allows you to update an existing question.'
openapi: POST /api/loyalty/questions/{id}
---

> **For AI agents:** the complete documentation index is at [llms.txt](https://docs.snagsolutions.io/llms.txt). Append `.md` to any page URL for its markdown version.

`POST /api/loyalty/questions/{id}` — path parameters: `id`

`POST https://admin.snagsolutions.io/api/loyalty/questions/{id}`

This endpoint allows you to update an existing question.

## Authentication

- `apiKeyAuth` — apiKey in header: `X-API-KEY`

## Path parameters

- `id` (string, required)

## Request body

- Content type: `application/json`
  - request body (object)
    - `questionText` (string, required) — The text of the question
    - `loyaltyQuestionAnswers` (array, required) — Array of choices for the question
      - `items` (object)
        - `id` (string, uuid) — UUID of the choice (optional for new choices)
        - `text` (string, required) — The text of the choice
        - `isCorrect` (boolean, required) — Whether this choice is correct
        - `sortIdentifier` (number, required) — The order in which to display the choice

## Response 200

200
  - response (object) — Response returned for a question
    - `id` (string, uuid, required)
    - `text` (string, required)
    - `loyaltyQuestionChoices` (array, required)
      - `items` (object)
        - `id` (string, uuid, required)
        - `text` (string, required)
        - `sortIdentifier` (number, required)

## Response 403

403
  - response (object) — Schema for forbidden response
    - `message` (string, required) — Error message

## Response 500

500
  - response (object) — Schema for internal server error response
    - `success` (boolean, required) — Indicates operation success
    - `message` (string, required) — Error message
    - `debugInfo` (string) — Optional debug information


---

📦 **OpenAPI specs:** Every OpenAPI specification referenced by this documentation is available as a single download — https://docs.snagsolutions.io/api-specs.zip
